%bcond_with bootstrap

# not noarch as it is now putting files in archful directories:
%global debug_package %{nil}

%global __python %{__python3}

Name:		gtk-doc
Version:	1.32
Release:	%mkrel 2
Summary:	API documentation generation tool for GTK+ and GNOME
License:	GPLv2+ and GFDL
Group:		Development/GNOME and GTK+
URL:		http://www.gtk.org/gtk-doc/
Source0:	https://download.gnome.org/sources/gtk-doc/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	xsltproc
BuildRequires:	source-highlight
BuildRequires:	yelp-tools
BuildRequires:	itstool

Requires:	docbook-utils
Requires:	docbook-dtds
Requires:	docbook-style-xsl
Requires:	python3-pygments
Requires:	python3-six
Requires:	source-highlight

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%package	mkpdf
Summary:	API documentation PDF format generation tool for GTK+ and GNOME
Group:		Development/GNOME and GTK+
Requires:	%{name} = %version
%if %{without bootstrap}
Requires:	dblatex
%endif

%description	mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%setup -q
%apply_patches

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
export PYTHON=%{__python3}
autoreconf -fi
%configure2_5x
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

# include shared directory
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

%find_lang %{name}-manual --with-gnome


%files -f %{name}-manual.lang
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkhtml2
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc
%{_datadir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_datadir}/cmake/GtkDoc
%{_datadir}/help

%files mkpdf
%{_bindir}/gtkdoc-mkpdf


%changelog
* Fri Sep 06 2019 tex - 1.32-2pclos2019
- rebuild against updates

* Fri Aug 16 2019 tex - 1.32-1pclos2019
- new
